namespace InABox.Core
{
    public class DFLayoutURLFieldProperties : DFLayoutFieldProperties<string, string?>
    {
        
        [EditorSequence(-995)]
        [TextBoxEditor]
        public override string Default { get; set; }
        
        public override string FormatValue(string? value)
        {
            return value ?? string.Empty;
        }

        public override string? DeserializeValue(DFLoadStorageEntry entry)
        {
            return entry.GetValue<string>();
        }

        public override void SerializeValue(DFSaveStorageEntry entry, string? value)
        {
            entry.SetValue(value);
        }

        public override string GetValue(string? value)
        {
            return value ?? string.Empty;
        }
    }
}